Package com.io7m.cedarbridge.schema.ast

# Record Class CBASTTypeApplication

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.schema.ast.CBASTTypeApplication

Record Components:
  `userData` - The user data
  `lexical` - The lexical info
  `target` - The target type
  `arguments` - The type arguments

All Implemented Interfaces:
  `CBASTElementType`, `CBASTTypeExpressionType`, `com.io7m.jlexing.core.LexicalType<URI>`, `Formattable`

public record CBASTTypeApplication(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTTypeNamed target, List<CBASTTypeExpressionType> arguments) extends Record implements CBASTTypeExpressionType
A type application.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBASTTypeApplication(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTTypeNamed target, List<CBASTTypeExpressionType> arguments)`
  A type application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CBASTTypeExpressionType>`
  `arguments()`
  Returns the value of the `arguments` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `void`
  `formatTo(Formatter formatter, int flags, int width, int precision)`
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.jlexing.core.LexicalPosition<URI>`
  `lexical()`
  Returns the value of the `lexical` record component.
  `CBASTTypeNamed`
  `target()`
  Returns the value of the `target` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CBASTMutableUserData`
  `userData()`
  Returns the value of the `userData` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBASTTypeApplication

    public CBASTTypeApplication(CBASTMutableUserData userData, com.io7m.jlexing.core.LexicalPosition<URI> lexical, CBASTTypeNamed target, List<CBASTTypeExpressionType> arguments)
    A type application.
    Parameters:
      `userData` - The user data
      `lexical` - The lexical info
      `target` - The target type
      `arguments` - The type arguments

- ## Method Details

  - ### formatTo

    public void formatTo(Formatter formatter, int flags, int width, int precision)
    Specified by:
      `formatTo` in interface `Formattable`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### userData

    public CBASTMutableUserData userData()
    Returns the value of the `userData` record component.
    Specified by:
      `userData` in interface `CBASTElementType`
    Returns:
      the value of the `userData` record component

  - ### lexical

    public com.io7m.jlexing.core.LexicalPosition<URI> lexical()
    Returns the value of the `lexical` record component.
    Specified by:
      `lexical` in interface `CBASTElementType`
    Specified by:
      `lexical` in interface `com.io7m.jlexing.core.LexicalType<URI>`
    Returns:
      the value of the `lexical` record component

  - ### target

    public CBASTTypeNamed target()
    Returns the value of the `target` record component.
    Returns:
      the value of the `target` record component

  - ### arguments

    public List<CBASTTypeExpressionType> arguments()
    Returns the value of the `arguments` record component.
    Returns:
      the value of the `arguments` record component